package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例生涯规划保险规划表
 *
 * @author xcj
 * case_insurance_plan
 */
public class CaseInsurancePlan {
    @ApiModelProperty("案例-生涯规划-保险规划ID")
    private String caseInsurancePlanId;

    private String caseid;

    @ApiModelProperty("配偶名称")
    private String spouseName;

    @ApiModelProperty("寿险需求测算方法ID")
    private String methodTypeId;

    @ApiModelProperty("被保险人年龄B")
    private Integer ageb;

    @ApiModelProperty("被保险人年龄C")
    private Integer agec;

    @ApiModelProperty("预计退休年龄B")
    private Integer retirementAgeb;

    @ApiModelProperty("预计退休年龄C")
    private Integer retirementAgec;

    @ApiModelProperty("投资报酬率B")
    private BigDecimal returnOnInvestmentb;

    @ApiModelProperty("投资报酬率C")
    private BigDecimal returnOnInvestmentc;

    @ApiModelProperty("通货膨胀率B")
    private BigDecimal inflationRateb;

    @ApiModelProperty("通货膨胀率C")
    private BigDecimal inflationRatec;

    @ApiModelProperty("收入增长率B")
    private BigDecimal revenueGrowthb;

    @ApiModelProperty("收入增长率C")
    private BigDecimal revenueGrowthc;

    @ApiModelProperty("当前的家庭生活费用B")
    private BigDecimal matrimonialFeeb;

    @ApiModelProperty("当前的家庭生活费用C")
    private BigDecimal matrimonialFeec;

    @ApiModelProperty("保险事故发生后支出调整率B")
    private BigDecimal afterAccidentRateb;

    @ApiModelProperty("保险事故发生后支出调整率C")
    private BigDecimal afterAccidentRatec;

    @ApiModelProperty("年支出")
    private BigDecimal expenditure;

    @ApiModelProperty("个人/配偶的个人年收入B")
    private BigDecimal incomeb;

    @ApiModelProperty("个人/配偶的个人年收入C")
    private BigDecimal incomec;

    @ApiModelProperty("紧急备用金现值B")
    private BigDecimal reserveFundb;

    @ApiModelProperty("紧急备用金现值C")
    private BigDecimal reserveFundc;

    @ApiModelProperty("教育金现值B")
    private BigDecimal eduAmountb;

    @ApiModelProperty("教育金现值C")
    private BigDecimal eduAmountc;

    @ApiModelProperty("养老基金现值B")
    private BigDecimal pensionFundsb;

    @ApiModelProperty("养老基金现值C")
    private BigDecimal pensionFundsc;

    @ApiModelProperty("临终及丧葬支出现值B")
    private BigDecimal deathExpenseb;

    @ApiModelProperty("临终及丧葬支出现值C")
    private BigDecimal deathExpensec;

    @ApiModelProperty("目前贷款余额B")
    private BigDecimal loanBalanceb;

    @ApiModelProperty("目前贷款余额C")
    private BigDecimal loanBalancec;

    @ApiModelProperty("家庭生息资产B")
    private BigDecimal earningAssetsb;

    @ApiModelProperty("家庭生息资产C")
    private BigDecimal earningAssetsc;

    @ApiModelProperty("已有额度B")
    private BigDecimal insuranceAmountb;

    @ApiModelProperty("已有额度C")
    private BigDecimal insuranceAmountc;

    @ApiModelProperty("预算金额B")
    private BigDecimal budgetAmountb;

    @ApiModelProperty("预算金额C")
    private BigDecimal budgetAmountc;

    @ApiModelProperty("补充额度B")
    private BigDecimal supplementaryQuotab;

    @ApiModelProperty("补充额度C")
    private BigDecimal supplementaryQuotac;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    @ApiModelProperty("保险规划分析")
    private String analysis;

    public String getCaseInsurancePlanId() {
        return caseInsurancePlanId;
    }

    public void setCaseInsurancePlanId(String caseInsurancePlanId) {
        this.caseInsurancePlanId = caseInsurancePlanId == null ? null : caseInsurancePlanId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public String getSpouseName() {
        return spouseName;
    }

    public void setSpouseName(String spouseName) {
        this.spouseName = spouseName == null ? null : spouseName.trim();
    }

    public String getMethodTypeId() {
        return methodTypeId;
    }

    public void setMethodTypeId(String methodTypeId) {
        this.methodTypeId = methodTypeId == null ? null : methodTypeId.trim();
    }

    public Integer getAgeb() {
        return ageb;
    }

    public void setAgeb(Integer ageb) {
        this.ageb = ageb;
    }

    public Integer getAgec() {
        return agec;
    }

    public void setAgec(Integer agec) {
        this.agec = agec;
    }

    public Integer getRetirementAgeb() {
        return retirementAgeb;
    }

    public void setRetirementAgeb(Integer retirementAgeb) {
        this.retirementAgeb = retirementAgeb;
    }

    public Integer getRetirementAgec() {
        return retirementAgec;
    }

    public void setRetirementAgec(Integer retirementAgec) {
        this.retirementAgec = retirementAgec;
    }

    public BigDecimal getReturnOnInvestmentb() {
        return returnOnInvestmentb;
    }

    public void setReturnOnInvestmentb(BigDecimal returnOnInvestmentb) {
        this.returnOnInvestmentb = returnOnInvestmentb;
    }

    public BigDecimal getReturnOnInvestmentc() {
        return returnOnInvestmentc;
    }

    public void setReturnOnInvestmentc(BigDecimal returnOnInvestmentc) {
        this.returnOnInvestmentc = returnOnInvestmentc;
    }

    public BigDecimal getInflationRateb() {
        return inflationRateb;
    }

    public void setInflationRateb(BigDecimal inflationRateb) {
        this.inflationRateb = inflationRateb;
    }

    public BigDecimal getInflationRatec() {
        return inflationRatec;
    }

    public void setInflationRatec(BigDecimal inflationRatec) {
        this.inflationRatec = inflationRatec;
    }

    public BigDecimal getRevenueGrowthb() {
        return revenueGrowthb;
    }

    public void setRevenueGrowthb(BigDecimal revenueGrowthb) {
        this.revenueGrowthb = revenueGrowthb;
    }

    public BigDecimal getRevenueGrowthc() {
        return revenueGrowthc;
    }

    public void setRevenueGrowthc(BigDecimal revenueGrowthc) {
        this.revenueGrowthc = revenueGrowthc;
    }

    public BigDecimal getMatrimonialFeeb() {
        return matrimonialFeeb;
    }

    public void setMatrimonialFeeb(BigDecimal matrimonialFeeb) {
        this.matrimonialFeeb = matrimonialFeeb;
    }

    public BigDecimal getMatrimonialFeec() {
        return matrimonialFeec;
    }

    public void setMatrimonialFeec(BigDecimal matrimonialFeec) {
        this.matrimonialFeec = matrimonialFeec;
    }

    public BigDecimal getAfterAccidentRateb() {
        return afterAccidentRateb;
    }

    public void setAfterAccidentRateb(BigDecimal afterAccidentRateb) {
        this.afterAccidentRateb = afterAccidentRateb;
    }

    public BigDecimal getAfterAccidentRatec() {
        return afterAccidentRatec;
    }

    public void setAfterAccidentRatec(BigDecimal afterAccidentRatec) {
        this.afterAccidentRatec = afterAccidentRatec;
    }

    public BigDecimal getExpenditure() {
        return expenditure;
    }

    public void setExpenditure(BigDecimal expenditure) {
        this.expenditure = expenditure;
    }

    public BigDecimal getIncomeb() {
        return incomeb;
    }

    public void setIncomeb(BigDecimal incomeb) {
        this.incomeb = incomeb;
    }

    public BigDecimal getIncomec() {
        return incomec;
    }

    public void setIncomec(BigDecimal incomec) {
        this.incomec = incomec;
    }

    public BigDecimal getReserveFundb() {
        return reserveFundb;
    }

    public void setReserveFundb(BigDecimal reserveFundb) {
        this.reserveFundb = reserveFundb;
    }

    public BigDecimal getReserveFundc() {
        return reserveFundc;
    }

    public void setReserveFundc(BigDecimal reserveFundc) {
        this.reserveFundc = reserveFundc;
    }

    public BigDecimal getEduAmountb() {
        return eduAmountb;
    }

    public void setEduAmountb(BigDecimal eduAmountb) {
        this.eduAmountb = eduAmountb;
    }

    public BigDecimal getEduAmountc() {
        return eduAmountc;
    }

    public void setEduAmountc(BigDecimal eduAmountc) {
        this.eduAmountc = eduAmountc;
    }

    public BigDecimal getPensionFundsb() {
        return pensionFundsb;
    }

    public void setPensionFundsb(BigDecimal pensionFundsb) {
        this.pensionFundsb = pensionFundsb;
    }

    public BigDecimal getPensionFundsc() {
        return pensionFundsc;
    }

    public void setPensionFundsc(BigDecimal pensionFundsc) {
        this.pensionFundsc = pensionFundsc;
    }

    public BigDecimal getDeathExpenseb() {
        return deathExpenseb;
    }

    public void setDeathExpenseb(BigDecimal deathExpenseb) {
        this.deathExpenseb = deathExpenseb;
    }

    public BigDecimal getDeathExpensec() {
        return deathExpensec;
    }

    public void setDeathExpensec(BigDecimal deathExpensec) {
        this.deathExpensec = deathExpensec;
    }

    public BigDecimal getLoanBalanceb() {
        return loanBalanceb;
    }

    public void setLoanBalanceb(BigDecimal loanBalanceb) {
        this.loanBalanceb = loanBalanceb;
    }

    public BigDecimal getLoanBalancec() {
        return loanBalancec;
    }

    public void setLoanBalancec(BigDecimal loanBalancec) {
        this.loanBalancec = loanBalancec;
    }

    public BigDecimal getEarningAssetsb() {
        return earningAssetsb;
    }

    public void setEarningAssetsb(BigDecimal earningAssetsb) {
        this.earningAssetsb = earningAssetsb;
    }

    public BigDecimal getEarningAssetsc() {
        return earningAssetsc;
    }

    public void setEarningAssetsc(BigDecimal earningAssetsc) {
        this.earningAssetsc = earningAssetsc;
    }

    public BigDecimal getInsuranceAmountb() {
        return insuranceAmountb;
    }

    public void setInsuranceAmountb(BigDecimal insuranceAmountb) {
        this.insuranceAmountb = insuranceAmountb;
    }

    public BigDecimal getInsuranceAmountc() {
        return insuranceAmountc;
    }

    public void setInsuranceAmountc(BigDecimal insuranceAmountc) {
        this.insuranceAmountc = insuranceAmountc;
    }

    public BigDecimal getBudgetAmountb() {
        return budgetAmountb;
    }

    public void setBudgetAmountb(BigDecimal budgetAmountb) {
        this.budgetAmountb = budgetAmountb;
    }

    public BigDecimal getBudgetAmountc() {
        return budgetAmountc;
    }

    public void setBudgetAmountc(BigDecimal budgetAmountc) {
        this.budgetAmountc = budgetAmountc;
    }

    public BigDecimal getSupplementaryQuotab() {
        return supplementaryQuotab;
    }

    public void setSupplementaryQuotab(BigDecimal supplementaryQuotab) {
        this.supplementaryQuotab = supplementaryQuotab;
    }

    public BigDecimal getSupplementaryQuotac() {
        return supplementaryQuotac;
    }

    public void setSupplementaryQuotac(BigDecimal supplementaryQuotac) {
        this.supplementaryQuotac = supplementaryQuotac;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis == null ? null : analysis.trim();
    }
}