package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例生涯规划创业规划表
 *
 * @author xcj
 * case_start_an_undertaking_plan
 */
public class CaseStartAnUndertakingPlan extends CaseStartAnUndertakingPlanKey {
    @ApiModelProperty("当前年龄")
    private Integer age;

    @ApiModelProperty("计划创业年龄")
    private Integer startPlanAge;

    @ApiModelProperty("离创业年限")
    private Integer distanceYear;

    @ApiModelProperty("创业时一次性投入金额")
    private BigDecimal costInput;

    @ApiModelProperty("预计投资收益率")
    private BigDecimal returnOnInvestmentRate;

    @ApiModelProperty("一次性投入金额")
    private BigDecimal disposableInput;

    @ApiModelProperty("每月定期投资金额")
    private BigDecimal monthlyInvestment;

    @ApiModelProperty("定期定额投资年限")
    private Integer regularYear;

    @ApiModelProperty("此方案能实现的目标金额")
    private BigDecimal targetAmount;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    @ApiModelProperty("创业规划分析")
    private String analysis;

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getStartPlanAge() {
        return startPlanAge;
    }

    public void setStartPlanAge(Integer startPlanAge) {
        this.startPlanAge = startPlanAge;
    }

    public Integer getDistanceYear() {
        return distanceYear;
    }

    public void setDistanceYear(Integer distanceYear) {
        this.distanceYear = distanceYear;
    }

    public BigDecimal getCostInput() {
        return costInput;
    }

    public void setCostInput(BigDecimal costInput) {
        this.costInput = costInput;
    }

    public BigDecimal getReturnOnInvestmentRate() {
        return returnOnInvestmentRate;
    }

    public void setReturnOnInvestmentRate(BigDecimal returnOnInvestmentRate) {
        this.returnOnInvestmentRate = returnOnInvestmentRate;
    }

    public BigDecimal getDisposableInput() {
        return disposableInput;
    }

    public void setDisposableInput(BigDecimal disposableInput) {
        this.disposableInput = disposableInput;
    }

    public BigDecimal getMonthlyInvestment() {
        return monthlyInvestment;
    }

    public void setMonthlyInvestment(BigDecimal monthlyInvestment) {
        this.monthlyInvestment = monthlyInvestment;
    }

    public Integer getRegularYear() {
        return regularYear;
    }

    public void setRegularYear(Integer regularYear) {
        this.regularYear = regularYear;
    }

    public BigDecimal getTargetAmount() {
        return targetAmount;
    }

    public void setTargetAmount(BigDecimal targetAmount) {
        this.targetAmount = targetAmount;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis == null ? null : analysis.trim();
    }
}